> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/data-onboarding/supported-logs/island-logs.md).

# Island 로그

## 개요

Panther 수집 [Island](https://www.island.io/) Enterprise Browser는 Island에서 내보낸 로그를 모니터링하는 AWS S3 소스를 통해 로그를 수집합니다. Island는 사용자, 애플리케이션 및 데이터가 교차하는 브라우저 내에 액세스 및 보안 정책을 직접 내장하여 조직에 브라우저 활동에 대한 완전한 제어, 가시성 및 거버넌스를 제공합니다.

Island는 AWS 계정의 S3 버킷으로 로그를 내보냅니다. Panther는 세 가지 유형의 Island 로그를 수집합니다:

* **감사 로그**: 관리 작업 및 인증 이벤트
* **브라우저 감사 로그**: 브라우저 활동, DLP 위반 및 보안 위협
* **시스템 이벤트 로그**: 디바이스 등록, 수명 주기 및 보존 이벤트

## Island 로그를 Panther에 온보딩하는 방법

### 사전 요구 사항

* 관리자 액세스 권한이 있는 활성 Island Enterprise Browser 구독
* Island가 로그를 내보낼 수 있는 AWS 계정
* Panther Console에서 S3 소스를 생성할 권한

### 1단계: AWS S3로 로그를 내보내도록 Island 구성

{% hint style="info" %}
Island AWS S3 통합 구성에 대한 자세한 지침은 다음에서 확인할 수 있습니다 [Island 문서 포털](https://documentation.island.io/docs/configure-and-manage-the-aws-s3-integration) (Management Console 로그인이 필요함).
{% endhint %}

1. Island Management Console에 로그인합니다.
2. AWS S3 통합 설정으로 이동합니다.
3. AWS 계정의 S3 버킷으로 로그를 내보내도록 Island를 구성합니다.
   * 다음을 기록해 둡니다 **S3 버킷 이름** 및 **접두사** Island가 로그를 기록할 위치입니다. 2단계에서 필요합니다.
4. 내보낼 로그 유형을 구성합니다(Panther는 감사, 브라우저 감사 및 시스템 이벤트를 지원함).
5. 구성을 저장합니다.

Island는 구성에 따라 S3 버킷으로 로그 내보내기를 시작합니다.

### 2단계: Panther에서 새 Island 소스 생성

1. Panther Console의 왼쪽 탐색 모음에서 다음을 클릭합니다 **로그 소스**.
2. 클릭 **새로 만들기**.
3. "Island"를 검색한 다음 해당 타일을 클릭합니다.
4. 클릭 **설정 시작**.
5. 다음을 따릅니다 [AWS S3 소스 구성에 대한 Panther의 지침입니다.](/ko/data-onboarding/data-transports/aws/s3.md#how-set-up-an-aws-s3-bucket-log-source-in-panther)
   * Island가 로그를 기록하는 S3 버킷 이름과 접두사를 사용합니다.
   * Panther에서 S3 버킷 소스를 구성하는 동안 다음의 접두사 필터를 추가하는 것이 좋습니다 `*.json` Panther가 Island JSON 로그 파일만 처리하도록 합니다.
6. 다음에서 **구성** 페이지:
   * 설명적인 **이름**, 예: `Island Enterprise Browser 로그`.
   * 다음 **로그 유형** 이 자동으로 디택션합니다 `Island.Audit`, `Island.BrowserAudit`, 및 `Island.SystemEvent`.
7. 설정 마법사를 완료합니다.
   * 선택적으로 하나 이상의 디택션 팩을 활성화할 수 있습니다.
   * 다음 **이벤트가 처리되지 않을 때 알러트 트리거** 설정의 기본값은 **예**. 일정 시간이 지난 후 로그 소스에서 데이터 흐름이 중단되면 알러트를 받게 되므로 이 기능을 활성화된 상태로 두는 것이 좋습니다. 시간 범위는 구성 가능하며 기본값은 24시간입니다.

## 지원되는 로그 유형

### Island.Audit

Island 감사 로그는 사용자 관리, 역할 변경, 시스템 구성 수정 및 Insights 관리자 작업을 포함하여 Island Management Console 내의 관리 작업과 인증 이벤트를 추적합니다.

참조: [Island AWS S3 통합 문서](https://documentation.island.io/docs/configure-and-manage-the-aws-s3-integration)

```yaml
스키마: Island.Audit
설명: |
    Island 감사 로그는 관리 작업 및 인증 이벤트에 대한 가시성을 제공합니다
    Island Management Console 내에서. 이 로그는 사용자 관리, 역할 변경을 추적하는 데 도움이 됩니다,
    시스템 구성 수정 및 Insights 관리자 작업.
참조 URL: https://documentation.island.io/docs/configure-and-manage-the-aws-s3-integration
필드:
    - 이름: id
      필수: true
      설명: 감사 이벤트의 고유 식별자
      유형: 문자열
    - 이름: tenant_id
      설명: Island 테넌트 식별자
      유형: 문자열
    - 이름: timestamp
      필수: true
      설명: RFC3339 형식의 이벤트 타임스탬프
      유형: 타임스탬프
      시간 형식: rfc3339
      이벤트 시간 여부: true
    - 이름: source
      설명: 감사 이벤트 소스(예: AdminAction, SystemEvent)
      유형: 문자열
    - 이름: action
      필수: true
      설명: 수행된 작업(예: Create, View, Login, AddUserToRole, IssueAssigneeUpdate)
      유형: 문자열
    - 이름: audit_type
      필수: true
      설명: 감사 이벤트의 범주(예: Authentication, UserManagement, AdminManagement)
      유형: 문자열
    - 이름: email
      설명: 작업을 수행하는 사용자의 이메일 주소
      유형: 문자열
      지표:
        - email
    - 이름: user_id
      설명: 작업을 수행하는 사용자의 식별자
      유형: 문자열
      지표:
        - username
    - 이름: entity_id
      필수: true
      설명: 작업의 영향을 받는 엔터티의 식별자
      유형: 문자열
    - 이름: entity_name
      설명: 작업의 영향을 받는 엔터티 이름. 모든 감사 유형에 존재하지는 않음(예: Insights 이벤트)
      유형: 문자열
    - 이름: entity_type
      필수: true
      설명: 작업의 영향을 받는 엔터티 유형(예: UserSession, RoleEntity, Admin, InsightIssueEntity)
      유형: 문자열
    - 이름: original_value
      설명: 작업 적용 전의 값. Insights와 같은 변경 중심 감사 유형에 존재함
      유형: 문자열
    - 이름: new_value
      설명: 작업 적용 후의 값. Insights와 같은 변경 중심 감사 유형에 존재함
      유형: 문자열
    - 이름: action_status
      설명: 수행된 작업의 상태(예: Done)
      유형: 문자열
    - 이름: source_ip
      설명: 작업이 시작된 IP 주소
      유형: 문자열
      지표:
        - ip
```

### Island.BrowserAudit

Island 브라우저 감사 로그는 탐색 이벤트, 파일 다운로드, DLP 위반 및 보안 판정을 포함한 상세한 브라우저 활동을 캡처합니다. 이 로그는 웹 애플리케이션과의 사용자 상호작용 및 잠재적인 보안 위협에 대한 포괄적인 가시성을 제공합니다.

참조: [Island AWS S3 통합 문서](https://documentation.island.io/docs/configure-and-manage-the-aws-s3-integration)

```yaml
스키마: Island.BrowserAudit
설명: |
    Island 브라우저 감사 로그는 탐색 이벤트를 포함한 상세한 브라우저 활동을 캡처합니다,
    파일 다운로드, DLP 위반, 화면 녹화 및 보안 판정. 이 로그는
    웹 애플리케이션과의 사용자 상호작용 및
    잠재적인 보안 위협에 대한 포괄적인 가시성을 제공합니다.
참조 URL: https://documentation.island.io/docs/configure-and-manage-the-aws-s3-integration
필드:
    - 이름: id
      필수: true
      설명: 브라우저 감사 이벤트의 고유 식별자
      유형: 문자열
    - 이름: tenant_id
      필수: true
      설명: Island 테넌트 식별자
      유형: 문자열
    - 이름: timestamp
      필수: true
      설명: RFC3339 형식의 이벤트 타임스탬프
      유형: 타임스탬프
      시간 형식: rfc3339
      이벤트 시간 여부: true
    - 이름: source
      설명: 이벤트 소스(이 로그 유형의 경우 항상 "BrowserAudit")
      유형: 문자열
    - 이름: type
      설명: 브라우저 이벤트 유형(예: Navigation, Download, ScreenRecording)
      유형: 문자열
    - 이름: version
      설명: 이벤트의 스키마 버전
      유형: 문자열
    - 이름: signature
      설명: 유효성 검증을 위한 이벤트 서명
      유형: 문자열
    - 이름: details
      설명: JSON 형식의 추가 이벤트 세부 정보
      유형: json
    - 이름: client_event_id
      설명: 클라이언트 측 이벤트 식별자
      유형: 문자열
    - 이름: email
      설명: 사용자의 이메일 주소
      유형: 문자열
      지표:
        - email
    - 이름: user_id
      설명: 사용자 식별자
      유형: 문자열
      지표:
        - username
    - 이름: user_name
      설명: 사용자의 표시 이름
      유형: 문자열
    - 이름: device_id
      설명: Island 디바이스 식별자
      유형: 문자열
    - 이름: machine_id
      설명: 머신 식별자
      유형: 문자열
    - 이름: machine_name
      설명: 머신 호스트 이름
      유형: 문자열
      지표:
        - hostname
    - 이름: os_platform
      설명: 운영 체제 플랫폼(예: Windows, macOS, iOS)
      유형: 문자열
    - 이름: os_user_name
      설명: 운영 체제 사용자 이름
      유형: 문자열
      지표:
        - username
    - 이름: source_ip
      설명: 디바이스의 비공개/내부 IP 주소
      유형: 문자열
      지표:
        - ip
    - 이름: public_ip
      설명: 디바이스의 공용 IP 주소
      유형: 문자열
      지표:
        - ip
    - 이름: country
      설명: IP 지리적 위치 기반 국가 이름
      유형: 문자열
    - 이름: country_code
      설명: IP 지리적 위치 기반 ISO 국가 코드
      유형: 문자열
    - 이름: region
      설명: IP 지리적 위치 기반 지역 또는 주
      유형: 문자열
    - 이름: verdict
      설명: 이벤트의 보안 판정(예: Allowed, Blocked, Warned)
      유형: 문자열
    - 이름: verdict_reason
      설명: 보안 판정의 이유
      유형: 문자열
    - 이름: 룰_id
      설명: 판정을 트리거한 정책 룰의 식별자
      유형: 문자열
    - 이름: 룰_name
      설명: 판정을 트리거한 정책 룰의 이름
      유형: 문자열
    - 이름: matched_device_posture
      설명: 이벤트 발생 시점의 디바이스 상태 정보(JSON)
      유형: json
    - 이름: compatibility_mode
      설명: 브라우저 호환성 모드 설정
      유형: 문자열
    - 이름: tab_id
      설명: 브라우저 탭 식별자
      유형: 문자열
    - 이름: window_id
      설명: 브라우저 창 식별자
      유형: 문자열
    - 이름: top_level_url
      설명: 액세스 중인 최상위 URL
      유형: 문자열
      지표:
        - url
        - domain
    - 이름: frame_url
      설명: iframe 이벤트의 프레임 URL
      유형: 문자열
      지표:
        - url
        - domain
    - 이름: url_web_categories
      설명: URL에 할당된 웹 범주
      유형: 배열
    - 이름: url_web_reputation
      설명: URL의 웹 평판 점수
      유형: 문자열
    - 이름: saas_application_id
      설명: 디택션된 SaaS 애플리케이션의 식별자
      유형: 문자열
    - 이름: saas_application_name
      설명: 디택션된 SaaS 애플리케이션의 이름
      유형: 문자열
    - 이름: saas_application_category
      설명: 디택션된 SaaS 애플리케이션의 범주
      유형: 문자열
    - 이름: screenshot_file_name
      설명: 캡처된 스크린샷의 파일 이름(해당하는 경우)
      유형: 문자열
    - 이름: lineage_ids
      설명: 관련 이벤트의 계보 추적 식별자
      유형: 배열
    - 이름: is_island_private_access
      설명: Island Private Access 사용 여부를 나타냄
      유형: 부울
    - 이름: client_sending_date
      설명: 클라이언트가 이벤트를 전송한 시점의 타임스탬프
      유형: 타임스탬프
      시간 형식: rfc3339
    - 이름: processed_date
      설명: Island가 이벤트를 처리한 시점의 타임스탬프
      유형: 타임스탬프
      시간 형식: rfc3339
    - 이름: origin
      설명: 이벤트의 출처
      유형: 문자열
```

### Island.SystemEvent

Island 시스템 이벤트 로그는 디바이스 보존, 수명 주기 관리 및 시스템 상태를 포함하여 Island 플랫폼 내의 디바이스 관리 작업, 시스템 알러트 및 인프라 이벤트를 추적합니다.

참조: [Island AWS S3 통합 문서](https://documentation.island.io/docs/configure-and-manage-the-aws-s3-integration)

```yaml
스키마: Island.SystemEvent
설명: |
    Island 시스템 이벤트 로그는 디바이스 관리 작업, 시스템 알러트 및
    Island 플랫폼 내의 인프라 이벤트를 추적합니다. 이 로그는 디바이스를 모니터링하는 데 도움이 됩니다
    보존, 수명 주기 관리 및 시스템 상태.
참조 URL: https://documentation.island.io/docs/configure-and-manage-the-aws-s3-integration
필드:
    - 이름: id
      필수: true
      설명: 시스템 이벤트의 고유 식별자
      유형: 문자열
    - 이름: tenant_id
      필수: true
      설명: Island 테넌트 식별자
      유형: 문자열
    - 이름: timestamp
      필수: true
      설명: RFC3339 형식의 이벤트 타임스탬프
      유형: 타임스탬프
      시간 형식: rfc3339
      이벤트 시간 여부: true
    - 이름: source
      설명: 이벤트 소스(이 로그 유형의 경우 항상 "SystemEvent")
      유형: 문자열
    - 이름: type
      설명: 시스템 이벤트 유형(예: Deleted Inactive Device)
      유형: 문자열
    - 이름: category
      설명: 이벤트 범주(예: DeviceManagement)
      유형: 문자열
    - 이름: sub_category
      설명: 이벤트 하위 범주(예: RETENTION)
      유형: 문자열
    - 이름: severity
      설명: 이벤트 심각도 수준(Info, Warning, Critical)
      유형: 문자열
    - 이름: primary_entity_id
      설명: 이벤트의 영향을 받는 기본 엔터티의 식별자
      유형: 문자열
    - 이름: primary_entity_name
      설명: 이벤트의 영향을 받는 기본 엔터티의 이름(예: 디바이스 이름)
      유형: 문자열
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/island-logs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
